Chuyển đến nội dung
Diễn đàn CADViet

nh0kdkny

Thành viên
  • Số lượng nội dung

    22
  • Đã tham gia

  • Lần ghé thăm cuối

Cộng đồng

-2 (hơi kém)

About nh0kdkny

  • Cấp bậc
    biết vẽ line

Khách truy cập Tiểu sử gần đây

440 chế độ xem tiểu sử
  1. cám ơn bạn lisp đã chạy đc rồi
  2. Rất cám ơn bạn đã giúp đỡ. Do ban đầu mình diễn đạt không chuẩn nên khiến bạn không hiểu hết. Mình đã kiểm tra lại thì phần text khi chọn 1 polyline đã sửa được nhưng không kết thúc lệnh mà vẫn hiện specify total length. khi chọn nhiều line hay pline thì bị lỗi nên có thêm lần 2 Lỗi nhiều đoạn mình có sửa theo nhưng nó báo lỗi như này.
  3. mình đã thử nhưng hình như không phải. vẫn bị lỗi như này khi chọn nhiều đoạn thẳng còn chọn 1 đoạn thì vẫn dùng được. Có thể đoạn tính tổng chiều dài không áp dụng được cho cad đời cao
  4. em đang sử dụng lisp này cho cad 2007 thì ổn nhưng chuyển sang cad 2019 thì lại bị lỗi polyline chọn text không hiển thị kết quả, với đường line sau khi chọn text xong không kết thúc lệnh mà cad lại hiện specify total length. Mọi người sửa lại cho sử dụng đc với cad đời cao giúp em đây là đoạn code: ;; free lisp from cadviet.com ;;; this lisp was downloaded from http://www.cadviet.com/forum/topic/47335-da-xong-lisp-xuat-chieu-dai-line-ra-text-co-san-va-co-tien-to-hau-to/ (defun c:d21 (/ doituong total dtuong1 tdt dt ktext ktratext ktratext1 ktextcu textdt ktextmoi newcolor oldcolor) (setq doituong (ssget '((0 . "*LINE")))) (setq total (sslength doituong)) (setq tdt 0) (repeat total (setq total (- total 1)) (setq dtuong1 (cdr (car (entget (ssname doituong total))))) (command "lengthen" dtuong1"") (setq dt (getvar "Perimeter")) (setq tdt (+ tdt dt)) ) (setq ktext (car (entsel "chi vµo text cЗn ghi: "))) (setq ktratext (entget ktext)) (setq ktratext1 (cdr (assoc 0 ktratext))) (if (= ktratext1 "TEXT") (progn (setq ktextcu (assoc 1 ktratext)) (setq textdt (strcat "DN20-" (rtos (/ tdt 1000) 2 1) " ")) (setq ktextmoi (cons 1 textdt)) (setq ktratext (subst ktextmoi ktextcu ktratext)) (entmod ktratext) (setq color bylayer) (setq newcolor (cons 62 color)) (if (assoc 62 ktratext) (progn (setq oldcolor (assoc 62 ktratext)) (setq ktratext (subst newcolor oldcolor ktratext)) (entmod ktratext) ) (entmod (append ktratext (list (cons 62 color)))) ) ) (alert "¤i trкi ¬i, chдn nhЗm rеi, ®г kh«ng ph¶i lµ tetx!") ) (textpage) (graphscr) )
×